[arch-commits] Commit in banshee/repos (extra-i686 extra-i686/PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Sat Nov 21 20:08:27 EST 2009


    Date: Saturday, November 21, 2009 @ 20:08:26
  Author: giovanni
Revision: 59315

Merged revisions 55893,59295 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/banshee/trunk

........
  r55893 | hugo | 2009-10-15 13:56:35 -0700 (gio, 15 ott 2009) | 2 lines
  
  upgpkg: banshee 1.5.1-1
      Upstream update to 1.5.1
........
  r59295 | jgc | 2009-11-21 12:40:09 -0800 (sab, 21 nov 2009) | 2 lines
  
  upgpkg: banshee 1.5.2-1
      Update to 1.5.2
........

Modified:
  banshee/repos/extra-i686/	(properties)
  banshee/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)


Property changes on: banshee/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /banshee/trunk:1-37534
   + /banshee/trunk:1-59314

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-22 00:33:31 UTC (rev 59314)
+++ extra-i686/PKGBUILD	2009-11-22 01:08:26 UTC (rev 59315)
@@ -2,14 +2,14 @@
 # Maintainer: Hugo Doria <hugo at archlinux.org>
 
 pkgname=banshee
-pkgver=1.5.1
+pkgver=1.5.2
 pkgrel=1
 pkgdesc="Music management and playback for GNOME"
 arch=('i686' 'x86_64')
 url="http://banshee-project.org/"
 license=('MIT')
-depends=('sqlite3>=3.6.13' 'ndesk-dbus-glib>=0.4.1' 'mono-addins>=0.4' 'taglib-sharp>=2.0.3.2' 'gstreamer0.10-good-plugins' 'gstreamer0.10-base-plugins' 'gnome-sharp>=2.24.1' 'libmtp>=0.3.7' 'ipod-sharp>=0.8.1' 'boo' 'mono-zeroconf' 'libxxf86vm' 'gnome-icon-theme>=2.26.0' 'desktop-file-utils')
-makedepends=('perlxml' 'pkgconfig' 'intltool>=0.35.0')
+depends=('sqlite3>=3.6.20' 'ndesk-dbus-glib>=0.4.1' 'mono-addins>=0.4' 'taglib-sharp>=2.0.3.2' 'gstreamer0.10-good-plugins>=0.10.17' 'gstreamer0.10-base-plugins>=0.10.25' 'gnome-sharp>=2.24.1' 'libmtp>=0.3.7' 'ipod-sharp>=0.8.5' 'boo' 'mono-zeroconf' 'libxxf86vm' 'gnome-icon-theme>=2.28.0' 'desktop-file-utils')
+makedepends=('pkgconfig' 'intltool')
 optdepends=('gstreamer0.10-ugly-plugins: Extra media codecs'
 	    'gstreamer0.10-bad-plugins: Extra media codecs'
 	    'gstreamer0.10-ffmpeg: Extra media codecs'
@@ -18,23 +18,27 @@
 options=('!libtool' '!makeflags' '!emptydirs')
 install=banshee.install
 source=(http://download.banshee-project.org/${pkgname}/stable/${pkgver}/${pkgname}-1-${pkgver}.tar.bz2)
-md5sums=('b24051482dca8b87932db2a1e27ff43f')
-sha1sums=('904e3c73ef1daa67b109b8c17da44230a66153e3')
+md5sums=('679042321ac3e809a48304f084ce7cf9')
 
 build() {
   export MONO_SHARED_DIR="${srcdir}/.wabi"
   mkdir -p "${MONO_SHARED_DIR}"
   cd "${srcdir}/${pkgname}-1-${pkgver}"
-  LD_PRELOAD="" ./configure --prefix=/usr \
-        --sysconfdir=/etc --localstatedir=/var \
-	--disable-docs --disable-static || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+      --disable-docs --disable-static || return 1
   make || return 1
+}
+
+package() {
+  export MONO_SHARED_DIR="${srcdir}/.wabi"
+  mkdir -p "${MONO_SHARED_DIR}"
+  cd "${srcdir}/${pkgname}-1-${pkgver}"
   make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
 
   install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
   install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/" || return 1
 
   install -d -m755 "${pkgdir}/usr/share/gconf/schemas"
-  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" --domain banshee-1 ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
   rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }



More information about the arch-commits mailing list